summaryrefslogtreecommitdiffstats
path: root/tests/ts/misc/mountpoint
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ts/misc/mountpoint')
-rwxr-xr-xtests/ts/misc/mountpoint29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/ts/misc/mountpoint b/tests/ts/misc/mountpoint
new file mode 100755
index 000000000..03c1ccc3e
--- /dev/null
+++ b/tests/ts/misc/mountpoint
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+TS_TOPDIR="${0%/*}/../.."
+TS_DESC="mountpoint"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+ts_check_test_command "$TS_CMD_MOUNTPOINT"
+
+ln -s / ./symlink-to-root
+
+ts_init_subtest "default"
+$TS_CMD_MOUNTPOINT ./symlink-to-root >> $TS_OUTPUT 2>&1
+echo $? >> $TS_OUTPUT 2>&1
+ts_finalize_subtest
+
+ts_init_subtest "nofollow"
+$TS_CMD_MOUNTPOINT --nofollow ./symlink-to-root >> $TS_OUTPUT 2>&1
+echo $? >> $TS_OUTPUT 2>&1
+ts_finalize_subtest
+
+ts_init_subtest "mutually-exclusive"
+$TS_CMD_MOUNTPOINT --devno --nofollow / >> $TS_OUTPUT 2>&1
+echo $? >> $TS_OUTPUT 2>&1
+ts_finalize_subtest
+
+rm -f ./symlink-to-root
+ts_finalize